Subject: Re: bug#23354: 25.1.50; Unicode literals aren't handled correctly by some commands

From: Philipp Stephani <[email-masked]>
Date: Sun, 01 May 2016 12:59:37 +0000

Lars Magne Ingebrigtsen <[email-masked]> schrieb am So., 24. Apr. 2016 um
14:17 Uhr:

>
> If you put point after the following expression and hit `C-x C-e':
>
> ?\N{HEAVY CHECK MARK}
>
> you'll get an error saying "(void-variable MARK})".  And in an Emacs
> Lisp buffer, using forward/backward sexp commands, they do not skip past
> the entire expression.
>
>
Thanks, I've attached a patch that should fix eval-print-last-expr. This
doesn't fix backward-sexp, because I think that would be much harder.